PDFDictionaryExtension (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.pdf.extensions

## Class PDFDictionaryExtension

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFObjectExtension
  - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
    - - org.apache.fop.render.pdf.extensions.PDFCollectionExtension
      - - org.apache.fop.render.pdf.extensions.PDFDictionaryExtension

- Direct Known Subclasses:
    PDFActionExtension, PDFCatalogExtension, PDFDocumentInformationExtension, PDFLayerExtension, PDFNavigatorExtension, PDFPageExtension, PDFPagePieceExtension, PDFVTExtension

      public class PDFDictionaryExtension
      extends PDFCollectionExtension

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_ID`
    `static String` | `PROPERTY_PAGE_NUMBERS`

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

      `PROPERTY_KEY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntry(PDFCollectionEntryExtension entry)`
    `PDFCollectionEntryExtension` | `findEntry(String key)`
    `Object` | `findEntryValue(String key)`
    `PDFDictionaryType` | `getDictionaryType()`
    `String` | `getElementName()`
    `List<PDFCollectionEntryExtension>` | `getEntries()`
    `ExtensionAttachment` | `getExtension()`
    `PDFCollectionEntryExtension` | `getLastEntry()`
    `String` | `getProperty(String name)`
    `Object` | `getValue()`
    `void` | `setExtension(ExtensionAttachment entry)`
    `void` | `setProperty(String name, String value)`
    `void` | `setValue(Object value)`
    `boolean` | `usesIDAttribute()`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

      `getKey, setKey`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension

      `getType, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ID

          public static final String PROPERTY_ID

      See Also:
        Constant Field Values

    - #### PROPERTY_PAGE_NUMBERS

          public static final String PROPERTY_PAGE_NUMBERS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setValue

          public void setValue(Object value)

      Overrides:
        `setValue` in class `PDFObjectExtension`

    - #### getValue

          public Object getValue()

      Overrides:
        `getValue` in class `PDFObjectExtension`

    - #### getDictionaryType

          public PDFDictionaryType getDictionaryType()

    - #### setProperty

          public void setProperty(String name,
                                  String value)

    - #### getProperty

          public String getProperty(String name)

    - #### addEntry

          public void addEntry(PDFCollectionEntryExtension entry)

      Specified by:
        `addEntry` in class `PDFCollectionExtension`

    - #### getEntries

          public List<PDFCollectionEntryExtension> getEntries()

    - #### setExtension

          public void setExtension(ExtensionAttachment entry)

    - #### getExtension

          public ExtensionAttachment getExtension()

    - #### findEntry

          public PDFCollectionEntryExtension findEntry(String key)

    - #### findEntryValue

          public Object findEntryValue(String key)

    - #### getLastEntry

          public PDFCollectionEntryExtension getLastEntry()

      Specified by:
        `getLastEntry` in class `PDFCollectionExtension`

    - #### usesIDAttribute

          public boolean usesIDAttribute()

    - #### getElementName

          public String getElementName()

      Overrides:
        `getElementName` in class `PDFObjectExtension`

Copyright © 2025 Apache Software Foundation. All rights reserved.